---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/queues/create-version.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Creating a queue version

Use this request to create a [queue version](https://yandex.com.tr/support/tracker/en/manager/versions.md).

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/versions/</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To create a queue version, use an HTTP `POST` request. In the request body, specify the parameters in JSON format.

```json
POST /v3/versions/
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
   "queue": "<queue_key>",
   "name": "version_name>
}
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Request body parameters" %}

The request body contains the information required to create a new queue version:

**Required parameters**

| Parameter | Description | Data type |
-------- | -------- | ----------
| queue | Queue key. | String |
| name | Version name | String |

**Additional parameters**

| Parameter | Description | Data type |
-------- | -------- | ----------
| description | Version description | String |
| startDate | Version start date in `YYYY-MM-DD` format | String |
| dueDate | Version end date in `YYYY-MM-DD` format | String |

{% endcut %}

> Example: Creating a queue version named `Test Queue`.
>
> - An HTTP `POST` method is used.
> - Create a queue version with the `TESTQUEUE` key.
> - Set the version name: `version 0.1`.
> - Set the version description: `Test version 1`.
> - Set the version start date: `2023.10.03`.
> - Set the version end date: `2024.06.03`.
>
> ```json
> POST /v3/queues/TEST/versions HTTP/1.1
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth_token>
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
> {
>   "queue": "TESTQUEUE",
>   "name": "version 0.1",
>   "description": "Test version 1",
>   "startDate": "2023-10-03",
>   "dueDate": "2024-06-03"
> }
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    ```json
    [
        {
            "self": "https://api.tracker.yandex.net/v3/versions/1",
            "id": 1,
            "version": 1,
            "queue": {
                "self": "https://api.tracker.yandex.net/v3/queues/TESTQUEUE",
                "id": "6",
                "key": "TESTQUEUE",
                "display": "Test Queue"
            },
            "name": "version 0.1",
            "description": "Test version 1",
            "startDate": "2023-10-03",
            "dueDate": "2024-06-03",
            "released": false,
            "archived": false
        }
    ]
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the version object | String |
    | id | Version ID. | Number |
    | version | Version number | Number |
    | [queue](#queue) | Object with information about the queue | Map item |
    | name | Version name | String |
    | description | Text description of the version | String |
    | startDate | Version start date | String |
    | dueDate | Version end date | String |
    | released | Flag of the released version | Boolean |
    | archived | Flag of the archived version | Boolean |

    `queue` **object fields** {#queue}

    <!-- source: en/_includes/api/queue.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the queue. | String |
    | id | Queue ID. | String |
    | key | Queue key. | String |
    | display | Queue name displayed. | String |
    <!-- endsource: en/_includes/api/queue.md -->

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}